# Yatta! API

# File: ConnectorAdapter.coffee

Defined in: | lib

## Variables Summary

module.exports =

      adaptConnector

## Method Summary

- ~ (void) adaptConnector(connector, engine, HB, execution_listener)

## Method Details

~ (void) adaptConnector(connector, engine, HB, execution_listener)

### Parameters:

- engine ( `Engine` ) — The transformation engine
- HB ( `HistoryBuffer` )
- execution_listener ( `Array<Function>` ) — You must ensure that whenever an operation is executed, every function in this Array is called.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input